function [f_val Sum_grad] = Obj_W_Attenuation_Group_faster_par(W,Xconvolved_weighted_store,Y,winsize)
% Xconvolved_weighted_store: convolution response for all X
% Y: mask for all X

f_val = 0;
Sum_grad = zeros(size(W));
parfor idx = 1:size(Y,3)
    [f_val_sample grad_sample] = Obj_W_Attenuation_Group_faster(W,Xconvolved_weighted_store(1,idx),Y(:,:,idx),winsize);
    f_val = f_val + f_val_sample;
    Sum_grad = Sum_grad + grad_sample;
end

